import request from '@/utils/request'

// 查询公司认证信息列表
export function listComp(query) {
  return request({
    url: '/system/comp/list',
    method: 'get',
    params: query
  })
}

// 查询公司认证信息详细
export function getComp(id) {
  return request({
    url: '/system/comp/' + id,
    method: 'get'
  })
}

// 新增公司认证信息
export function addComp(data) {
  return request({
    url: '/system/comp',
    method: 'post',
    data: data
  })
}

// 修改公司认证信息
export function updateComp(data) {
  return request({
    url: '/system/comp',
    method: 'put',
    data: data
  })
}

// 删除公司认证信息
export function delComp(id) {
  return request({
    url: '/system/comp/' + id,
    method: 'delete'
  })
}
